For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Legacy DocsSign in
DocumentationChangelog
DocumentationChangelog
  • Get Started
    • Introduction
    • Get your API keys
    • Support
    • Privacy policy
    • Status
  • Transaction Enrichment
    • Overview
    • Entities Identification
    • Categorization
    • Recurrence
  • Bank Statements
    • Overview
    • Fast verification
  • Core resources
    • Batches
    • Entities
    • Account Holders
    • Webhooks
    • Personalization
    • Reporting wrong results
  • API Reference
    • Authentication
    • Errors
    • Request IDs
    • Pagination
    • Rate limits
      • POSTSet a custom set of categories
      • GETRetrieve category set
      • POSTReset category set to original values
LogoLogo
Legacy DocsSign in
API ReferenceCategories

Reset category set to original values

POST
https://api.ntropy.com/v3/categories/:id/reset
POST
/v3/categories/:id/reset
$curl -X "POST" \
> "https://api.ntropy.com/v3/categories/my_category_id/reset" \
> -H "Accept: application/json" \
> -H "X-API-KEY: cd1H...Wmhl"
1{
2 "incoming": [
3 "transfer from investment app",
4 "transfer from stock broker",
5 "transfer from crypto broker",
6 "chargeback",
7 "freelance income",
8 "rideshare or delivery income",
9 "paycheck",
10 "benefits",
11 "interest earned",
12 "stock dividend"
13 ],
14 "outgoing": [
15 "digital content and streaming",
16 "vending machine",
17 "reversal",
18 "transfer to investment app",
19 "transfer to stock broker",
20 "transfer to crypto broker",
21 "adjustment",
22 "intra account transfer",
23 "inter account transfer",
24 "peer to peer transfer",
25 "funeral service",
26 "ATM withdrawal",
27 "teller withdrawal"
28 ]
29}
Resets the set of categories of the specified account holder type to the original values.
Was this page helpful?
Previous

Create an account holder.

Next
Built with

Authentication

X-Api-Keystring
API Key authentication via header

Path parameters

idstringRequired

Response

Successful Response
CategorySetobject
OR
map from strings to any

Errors

422
Unprocessable Entity Error